Bug 215303 - nasd inhibits sound output
nasd inhibits sound output
Product: Fedora
Classification: Fedora
Component: nas (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Frank Büttner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-13 06:28 EST by Martin Winkler
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-20 15:48:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/root/scsconfig.log made by system-config-soundcard (37.75 KB, text/plain)
2006-11-13 06:28 EST, Martin Winkler
no flags Details

  None (edit)
Description Martin Winkler 2006-11-13 06:28:19 EST
Description of problem:

When nasd service is enabled, I do not hear any sound at all (e.g. no gnome
system sounds).

1. start system-config-soundcard
2. change volume using the slider
3. click "apply"

Now all sounds are ok.

After a reboot: again no sound.

If I disable nasd service using "chkconfig nasd off", the sounds are ok even
after reboot.

Additional info:

My machine information:
Vendor: Intel Corporation
Model: 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller
Module: snd-intel8x0
ALSA Driver version: Advanced Linux Sound Architecture Driver Version 1.0.12rc1
ALSA Lib package(s): alsa-lib-1.0.12-2.fc6
ALSA Utils packages: alsa-utils-1.0.12-3.fc6

additional information see attachment "scsconfig.log" made by
Comment 1 Martin Winkler 2006-11-13 06:28:20 EST
Created attachment 141040 [details]
/root/scsconfig.log made by system-config-soundcard
Comment 2 Martin Stransky 2006-11-17 16:55:51 EST
The nasd service? I've never heard about it. Don't you think nscd?
Comment 3 Martin Winkler 2006-11-17 18:53:28 EST
Yes, the "nasd" service:

it's from
# ls -l /etc/init.d/nasd 
-rwxr-xr-x 1 root root 1088 13. Jul 11:59 /etc/init.d/nasd

# rpm -q --whatprovides /etc/init.d/nasd

# apropos nasd
nasd                 (1x)  - Network Audio System server
nasd.conf [nasd]     (5x)  - Configuration file for NAS servers
Comment 4 Martin Stransky 2006-11-20 15:24:48 EST
okay, but this package is from extras. reassigning....
Comment 5 Frank Büttner 2006-11-20 15:47:27 EST
nasd is needed for sound output of Qt4.
On my systems I have no problems. I have the follow cards:
SB Live, SB Audidy2, VIA and one with an Yamha YMF-744B Chip.
And all run without problems. So I think it is not an problem at the nasd.
But to check it, some other with this type of sound chip must test it and report
his/her results.

Note You need to log in before you can comment on or make changes to this bug.